Name:		gnome-weather
Version:	3.12.1
Release:	3
Summary:	A weather application for GNOME

License:	GPLv2+ and LGPLv2+ and MIT and CC-BY and CC-BY-SA
Group:		Graphical desktop/GNOME
URL:		https://live.gnome.org/Design/Apps/Weather
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gweather-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9

Requires:	typelib(GWeather)
Requires:	typelib(GIRepository)
Requires:	typelib(GLib)
Requires:	typelib(GWeather)
Requires:	typelib(Gtk) = 3.0
Requires:	typelib(cairo)
Requires:	gjs
Requires:	%{_lib}pango1.0_0
Requires:	%{_lib}gtk+3_0
Requires:	%{_lib}glib2.0_0
Requires:	%{_lib}gobject2.0_0

%description
gnome-weather is a weather application for GNOME

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang org.gnome.Weather.Application

# fix cap
sed -i '1d;2i\#!/usr/bin/gjs' \
	%{buildroot}%{_datadir}/org.gnome.Weather.Application/org.gnome.Weather.Application

%files -f org.gnome.Weather.Application.lang
%doc NEWS data/CREDITS
%{_bindir}/gnome-weather
%{_datadir}/appdata/
%{_datadir}/applications/org.gnome.Weather.Application.desktop
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/org.gnome.Weather.Application.png
%{_datadir}/org.gnome.Weather.Application/
%{_libdir}/org.gnome.Weather.Application/

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-3
+ Revision: 5100fe3
- MassBuild#440: Increase release tag

* Fri May 23 2014 Tigro <ashejn@gmail.com> 3.12.1-2
+ Revision: bdfcbad
- fix path

* Fri May 23 2014 Tigro <ashejn@gmail.com> 3.12.1-2
+ Revision: ecfb195
- fix cap in start file

* Tue May 20 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 21731e9
- update to 3.12.1

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
+ Revision: 17c4a64
- drop desktop file

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
+ Revision: d91ddd2
- drop desktop file

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
+ Revision: 7bf6db8
- added BR: gweather-3.0

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
+ Revision: e3e45ed
- update to 3.12.0

* Fri May 31 2013 Tigro <ashejn@gmail.com> 3.8.2-2
+ Revision: b7277b3
- update Russian and Czech translations

* Tue May 14 2013 Tigro <ashejn@gmail.com> 3.8.2-1
+ Revision: a81bec6
- update to 3.8.2

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-3
+ Revision: c4038e4
- bump release

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: bc0ddc2
- added autoreq no

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: 3b0a08a
- another exclude

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: 62f09c5
- another exclude

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: d54270f
- another req

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: b2f0160
- added noureq for typelib

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
+ Revision: 85ac421
- drop some provides

* Mon Apr 29 2013 Arkady Shane <ashejn@gmail.com> 3.8.1-2
+ Revision: 14200b1
- drop missing provides

* Thu Apr 18 2013 Tigro <ashejn@gmail.com> 3.8.1-1
+ Revision: 782f6c4
- added source

* Thu Apr 18 2013 Tigro <ashejn@gmail.com> 3.8.1-1
+ Revision: b86f81f
- update to 3.8.1

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-2
+ Revision: 96a4504
- added R: gjs

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-2
+ Revision: 816c206
- fix sed

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-2
+ Revision: 85b18c3
- fix typo

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-2
+ Revision: 2fc35db
- fix typo

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-2
+ Revision: 0418c3a
- bump release

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-1
+ Revision: 36814dc
- fix header and add R: typelib(Gweather)

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-1
+ Revision: ed7fb2c
- added P: typelib(l])

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-1
+ Revision: d2ae859
- drop bad lines

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 
+ Revision: a5ae808
- added noautoreq option

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.8.0-1
+ Revision: 563d8f8
- adapt spec for rosa/mandriva


